# RISV/CSKY YOCTO测试报告说明

## 测试目录：

1. OE-CORE

1)openembedded-core/meta
```bash
find . -name "*.bb" |wc -l
788
``` 
2. META-OE：

1) meta-networking
```bash
find meta-networking -name "*.bb" |wc -l
194
```
2) meta-webserver
```bash
find meta-webserver/ -name "*.bb" |wc -l
20
```
3) meta-xfce
```bash
find meta-xfce -name "*.bb" |wc -l
74
```
4) meta-multimedia
```bash
find meta-multimedia/ -name "*.bb" |wc -l
82
```
5) find meta-gnome
```bash
find meta-gnome/ -name "*.bb" |wc -l
93
```
3. 总的bb文件数量
```bash
1251
```

## 测试方法
```bash
runltp -f 测试脚本(见测试报告说明)
```

## 交付物目录结构

1.RISCV
1) 测试报告: RISCV YOTCO测试报告_v1.0.xlsx
2) 测试log: *.log为测试log

```bash
C:\USERS\NOVA_\DESKTOP\PROJECT\09_平头哥_YOCTO\RISC-CSKY YOCTO 测试结果
│  RISC-CSKY YOCTO 测试报告说明.md
│  RISCV YOTCO测试报告_v1.0.xlsx
│  
└─RISCV
    ├─meta-oe
    │  ├─meta-gnome
    │  │  │  result_meta-oe.gnome.connectivity.log
    │  │  │  result_meta-oe.gnome.extended.log
    │  │  │  result_meta-oe.gnome.gimp.log
    │  │  │  result_meta-oe.gnome.gnome.log
    │  │  │  result_meta-oe.gnome.support.log
    │  │  │  
    │  │  └─ltp终端运行log
    │  │          runltp_metaoe_gnome_connectivity.log
    │  │          runltp_metaoe_gnome_extended.log
    │  │          runltp_metaoe_gnome_gimp.log
    │  │          runltp_metaoe_gnome_gnome.log
    │  │          runltp_metaoe_gnome_support.log
    │  │          
    │  ├─meta-multimedia
    │  │  │  result_meta-oe.multimedia.connectivity.log
    │  │  │  result_meta-oe.multimedia.multimedia.log
    │  │  │  result_meta-oe.multimedia.support.log
    │  │  │  
    │  │  └─ltp终端运行log
    │  │          runltp_metaoe_multimedia_connectivity.log
    │  │          runltp_metaoe_multimedia_multimedia.log
    │  │          runltp_metaoe_multimedia_support.log
    │  │          
    │  ├─meta-networking
    │  │      meta-oe.networking.connectivity.result.log
    │  │      meta-oe.networking.core.result.log
    │  │      meta-oe.networking.daemons.result.log
    │  │      meta-oe.networking.extended.result.log
    │  │      meta-oe.networking.filter.result.log
    │  │      meta-oe.networking.irc.result.log
    │  │      meta-oe.networking.kernel.result.log
    │  │      meta-oe.networking.netkit.result.log
    │  │      meta-oe.networking.protocols.result.log
    │  │      meta-oe.networking.support.result.log
    │  │      
    │  ├─meta-webserver
    │  │      meta-oe.webserver-core.output.log
    │  │      meta-oe.webserver-httpd.output.log
    │  │      meta-oe.webserver-php.output.log
    │  │      meta-oe.webserver-support.output.log
    │  │      meta-oe.webserver-webadmin.output.log
    │  │      
    │  └─meta-xfce
    │          meta-oe.xfce-apps.output.log
    │          meta-oe.xfce-art.output.log
    │          meta-oe.xfce-panel-plugins.output.log
    │          meta-oe.xfce-xfce.output.log
    │          meta-oe.xfce.bindings.output
    │          meta-oe.xfce.extended.output
    │          meta-oe.xfce.multimedia.output
    │          meta-oe.xfce.thunar-plugins.output
    │          
    └─oe-core
        │  result_oe-core.connectivity.log
        │  result_oe-core.core.log
        │  result_oe-core.devtools.log
        │  result_oe-core.extended.log
        │  result_oe-core.gnome.log
        │  result_oe-core.graphics.log
        │  result_oe-core.multimedia.log
        │  result_oe-core.sato.log
        │  result_oe-core.support.log
        │  
        └─ltp测试终端打印信息
                ltp.oe-core.graphic.log
                runltp_oecore_core.log
                runltp_oecore_multimedia.log
                runltp_oecore_sato.log
                runltp_oecore_support_result.log


```


