# RISV/CSKY YOCTO编译结果

## 编译目录：

1. OE-CORE

1)openembedded-core/meta
```bash
find . -name "*.bb" |wc -l
788
``` 
2. META-OE：

1) meta-networking
```bash
find meta-networking -name "*.bb" |wc -l
194
```
2) meta-webserver
```bash
find meta-webserver/ -name "*.bb" |wc -l
20
```
3) meta-xfce
```bash
find meta-xfce -name "*.bb" |wc -l
74
```
4) meta-multimedia
```bash
find meta-multimedia/ -name "*.bb" |wc -l
82
```
5) find meta-gnome
```bash
find meta-gnome/ -name "*.bb" |wc -l
93
```
3. 总的bb文件数量
```bash
1251
```

## 交付物目录结构

1.RISCV、CSKY。

```bash
RISC-CSKY YOCTO 编译结果
│  RISC-CSKY YOCTO 编译交付件说明.md
│  RISCV-CSKY YOCTO编译结果对比_v1.0.xlsx
│
├─CSKY
│  │  CSKY Yocto编译结果(无差别化编译)_v1.0.xlsx
│  │
│  ├─meta-gnome
│  │      bitbake_20210429_16-47-01_log.txt
│  │      meta-gnome.log
│  │      result_20210429_16-47-01_report.txt
│  │
│  ├─meta-multimedia
│  │      bitbake_20210430_15-17-47_log.txt
│  │      meta-multimedia.log
│  │      result_20210430_15-17-47_report.txt
│  │
│  ├─meta-networking
│  │      bitbake_20210429_15-57-12_log.txt
│  │      meta-networking.log
│  │      result_20210429_15-57-12_report.txt
│  │
│  ├─meta-webserver
│  │      bitbake_20210429_15-46-53_log.txt
│  │      meta-webserver.log
│  │      result_20210429_15-46-53_report.txt
│  │
│  ├─meta-xfce
│  │      bitbake_20210429_18-04-39_log.txt
│  │      meta-xfce.log
│  │      result_20210429_18-04-39_report.txt
│  │
│  └─oe-core
│          bitbake_20210429_12-39-28_log.txt
│          oe-core.log
│          result_20210429_12-39-28_report.txt
│
└─RISCV
    │  meta-oe.log
    │  oe-core.log
    │  RISCV Yocto编译结果(无差别化编译)_v1.0.xlsx
    │
    ├─meta-gnome
    │      bitbake_20210430_23-53-58_log.txt
    │      result_20210430_23-53-58_report.txt
    │
    ├─meta-multimedia
    │      bitbake_20210501_01-14-34_log.txt
    │      result_20210501_01-14-34_report.txt
    │
    ├─meta-networking
    │      bitbake_20210430_22-52-29_log.txt
    │      result_20210430_22-52-29_report.txt
    │
    ├─meta-webserver
    │      bitbake_20210430_23-46-34_log.txt
    │      result_20210430_23-46-34_report.txt
    │
    ├─meta-xfce
    │      bitbake_20210501_06-11-59_log.txt
    │      result_20210501_06-11-59_report.txt
    │
    └─oe-core
            bitbake_20210430_18-47-02_log.txt
            result_20210430_18-47-02_report.txt
```


