#### 一、XFCE映像

编译命令：

```
source openembedded-core/oe-init-build-env thead-build/ice-xfce
bitbake core-image-minimal-xfce
或
bitbake core-image-xfce
```

映像路径：

```
thead-build/ice-xfce/tmp-glibc/deploy/images/ice
```

`deb`包路径：

```
thead-build/ice-xfce/tmp-glibc/deploy/deb/riscv64
```

#### 二、GNOME映像

编译命令：

```
source openembedded-core/oe-init-build-env thead-build/ice-gnome
bitbake core-image-minimal-gnome
或
bitbake core-image-gnome
```

映像路径：

```
thead-build/ice-gnome/tmp-glibc/deploy/images/ice
```

`deb`包路径：

```
thead-build/ice-gnome/tmp-glibc/deploy/deb/riscv64
```

#### 三、SDK映像

编译命令：

```
source openembedded-core/oe-init-build-env thead-build/ice-gnome
bitbake core-image-minimal-gnome -c populate_sdk
备注: image可以任意指定(比如:xfce等)
```

SDK路径：

```
thead-build/ice-gnome/tmp-glibc/deploy/sdk
```

`sdk`包名称(包含编译器,文件系统库,头文件)：

```
oecore-x86_64-riscv64-toolchain-nodistro.0.sh
```

安装SDK：

```
cd thead-build/ice-gnome/tmp-glibc/deploy/sdk
sudo ./oecore-x86_64-riscv64-toolchain-nodistro.0.sh -d /opt
备注:更多参数参见--help
```

使用SDK：

```
source  /opt/environment-setup-riscv64-oe-linux
$CC   -o  test  test.c
```
